Tp::Service::ChannelInterfaceAnonymityAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::Service::ChannelInterfaceAnonymityAdaptor Class Reference
Channel service implementation

`#include <TelepathyQt/_gen/svc-channel.h>`

Inherits Tp::AbstractAdaptor.

## Public Member Functions
uint | AnonymityModes () const
bool | AnonymityMandatory () const
QString | AnonymousID () const
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.Anonymity".

## Member Function Documentation

uint Tp::Service::ChannelInterfaceAnonymityAdaptor::AnonymityModes | ( |  | ) | const

Return the value of the exported D-Bus object property `AnonymityModes` of type `uint`.

Adaptees should export this property as a Qt property named 'anonymityModes' with type uint.

The list of initially requested anonymity modes on the channel. This MUST NOT change, and is Requestable.

Returns
  The value of exported property `AnonymityModes`.

bool Tp::Service::ChannelInterfaceAnonymityAdaptor::AnonymityMandatory | ( |  | ) | const

Return the value of the exported D-Bus object property `AnonymityMandatory` of type `bool`.

Adaptees should export this property as a Qt property named 'anonymityMandatory' with type bool.

Whether or not the anonymity settings are required for this channel. This MUST NOT change, and is Requestable.

Returns
  The value of exported property `AnonymityMandatory`.

QString Tp::Service::ChannelInterfaceAnonymityAdaptor::AnonymousID | ( |  | ) | const

Return the value of the exported D-Bus object property `AnonymousID` of type `QString`.

Adaptees should export this property as a Qt property named 'anonymousID' with type QString.

This is the ID that the remote user of the channel MAY see (assuming there's a single ID). For example, for SIP connections where the From address has been scrambled by the CM, the scrambled address would be available here for the client to see. This is completely optional, and MAY be an empty string ("") in cases where anonymity modes are not set, or the CM doesn't know what the remote contact will see, or any other case where this doesn't make sense.

This MAY change over the lifetime of the channel, and SHOULD NOT be used with the Request interface.

Returns
  The value of exported property `AnonymousID`.